• B правой части каждого сообщения есть стрелки и . Не стесняйтесь оценивать ответы. Чтобы автору вопроса закрыть свой тикет, надо выбрать лучший ответ. Просто нажмите значок в правой части сообщения.

  • Курсы Академии Кодебай, стартующие в мае - июне, от команды The Codeby

    1. Цифровая криминалистика и реагирование на инциденты
    2. ОС Linux (DFIR) Старт: 16 мая
    3. Анализ фишинговых атак Старт: 16 мая Устройства для тестирования на проникновение Старт: 16 мая

    Скидки до 10%

    Полный список ближайших курсов ...

E: Sub-process /usr/bin/dpkg returned an error code (1)

yr1

Green Team
10.08.2018
42
3
BIT
0
Всех приветствую!
Ребят, помогите решить вопрос

После установки системы, полного апгрейда выдает такую ошибку
сначала пытался её игнорировать но, ннет.. установить какую либо программу сразу вылетает ошибка
В гугле информации достаточно но, применив те или иные предлагаемые примеры, результатов не дали- не помогли

index.png


Предлагаемая команда, конечно же результатов так же не принесла


index.png1.png
 

yr1

Green Team
10.08.2018
42
3
BIT
0
Попробуй скачать нужную версию
Потом установить
sudo dpkg -i /path/to/deb/file
sudo apt-get install -f
Благодарю)
Вот только недавно вроде как решил вопрос удалением зависимостей и пакета:

apt-get purge pure-ftpd
далее
apt-get autoremove
что помоему (могу ошибаться) я до этого делал и не помогло

Но, в любом случае, после удаления, никаких обновлений я не делал и все же при проверке зависимостей
apt-cache showpkg pure-ftpd
выдает последнюю версию пакета.. Мне казалось удалив этот пакет, в системе остается предыдущая рабочая версия пактета..
Или я что то не так понимаю?

index.png5.png
 
Последнее редактирование:

f22

Codeby Academy
Gold Team
05.05.2019
1 842
225
BIT
1 056
Но, в любом случае, после удаления, никаких обновлений я не делал и все же при проверке зависимостей
apt-cache showpkg pure-ftpd
выдает последнюю версию пакета.. Мне казалось удалив этот пакет, в системе остается предыдущая рабочая версия пактета..
Или я что то не так понимаю?
apt-cache показывает, какие пакеты можно установить.

Чтобы увидеть список установленных пакетов, используй
apt list --installed
 

johnplay

Member
28.03.2020
6
0
BIT
0
Добрый вечер! У меня возникла проблема! Помогите пожалуста!
Код:
jps@kali:~$ sudo apt-get upgrade
Paketlisten werden gelesen... Fertig
Abhängigkeitsbaum wird aufgebaut.      
Statusinformationen werden eingelesen.... Fertig
Paketaktualisierung (Upgrade) wird berechnet... Fertig
Die folgenden Pakete wurden automatisch installiert und werden nicht mehr benötigt:
  libclang-common-7-dev libffi6 libllvm7
Verwenden Sie »sudo apt autoremove«, um sie zu entfernen.
Die folgenden Pakete sind zurückgehalten worden:
  eog gir1.2-gnomedesktop-3.0 gir1.2-totem-1.0 gnome-contacts gnome-control-center
  gnome-font-viewer gnome-settings-daemon gnome-shell gnome-shell-common
  gnome-shell-extension-dashtodock gnome-shell-extensions libtotem0 linux-headers-amd64
  linux-image-amd64 mutter totem totem-plugins
Die folgenden Pakete werden aktualisiert (Upgrade):
  cython3 dc3dd gir1.2-nm-1.0 gnome-desktop3-data gnome-shell-extension-easyscreencast
  gnome-shell-extension-proxyswitcher inetutils-inetd libcheese-gtk25 libcheese8 libclc-amdgcn
  libclc-dev libclc-r600 liblttng-ust-ctl4 liblttng-ust0 libnm0 libpangomm-1.4-1v5 libsgutils2-2
  liburcu6 libutempter0 libvlc-bin libvlc5 libvlccore9 libxnvctrl0 linux-compiler-gcc-9-x86
  linux-libc-dev manpages mesa-opencl-icd metasploit-framework mutter-common network-manager
  python-chardet python-numpy python3-cffi python3-cffi-backend python3-chardet python3-debian
  python3-gevent python3-greenlet python3-prompt-toolkit python3-sip python3-werkzeug
  ruby-cms-scanner ruby-opt-parse-validator ruby-rack sg3-utils sg3-utils-udev unattended-upgrades
  usermode vlc-bin vulkan-tools vulkan-utils vulkan-validationlayers wpscan
53 aktualisiert, 0 neu installiert, 0 zu entfernen und 17 nicht aktualisiert.
1 nicht vollständig installiert oder entfernt.
Es müssen noch 0 B von 165 MB an Archiven heruntergeladen werden.
Nach dieser Operation werden 225 MB Plattenplatz freigegeben.
Möchten Sie fortfahren? [J/n] y
Extrahiere Vorlagen aus Paketen: 100%
Vorkonfiguration der Pakete ...
dpkg: Warnung: »dpkg-deb« wurde im PATH nicht gefunden oder ist nicht ausführbar
dpkg: Fehler: 1 erwartetes Programm nicht im PATH gefunden oder nicht ausführbar
Beachten Sie: PATH von root sollte normalerweise /usr/local/sbin, /usr/sbin und /sbin enthalten
E: Sub-process /usr/bin/dpkg returned an error code (2)
 
Мы в соцсетях:

Обучение наступательной кибербезопасности в игровой форме. Начать игру!